Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77527

Summary: While configuring the VPN interface an exception is thrown
Product: [Retired] Red Hat Linux Reporter: Need Real Name <subramaniam>
Component: cipeAssignee: Nalin Dahyabhai <nalin>
Status: CLOSED CANTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 14:29:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Need Real Name 2002-11-08 16:31:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
After configuring an VPN interface, while activating the program throws 
exception. Followng are the error messages:
Traceback (most recent call last):
  File "/usr/sbin/neat", line 689, in on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py", line
118, in save
    dev.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDevice.py", line
346, in save
    self.Cipe.save(conf)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line
158, in save
    conf.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line 89,
in write
    Conf.Conf.write(self)
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 278, in write
    self.file = open(self.filename, 'w', -1)
IOError: [Errno 2] No such file or directory: '/etc/cipe/options.cipcb0'

Local variables in innermost frame:
self: <netconfpkg.NCCipe.ConfCipeOptions instance at 0x874dbc4>




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure a VPN interface and activate it
2.
3.
	

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/neat", line 689, in on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py", line
118, in save
    dev.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDevice.py", line
346, in save
    self.Cipe.save(conf)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line
158, in save
    conf.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line 89,
in write
    Conf.Conf.write(self)
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 278, in write
    self.file = open(self.filename, 'w', -1)
IOError: [Errno 2] No such file or directory: '/etc/cipe/options.cipcb0'

Local variables in innermost frame:
self: <netconfpkg.NCCipe.ConfCipeOptions instance at 0x874dbc4>


Additional info:

Comment 1 Bill Nottingham 2006-08-07 17:25:21 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 2 Bill Nottingham 2006-10-18 14:29:26 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.